List the access rules.
Retrieve a list of access rules.
Authentication
AuthorizationBearer
Bearer authentication
Query parameters
subjectType
The type of resource we want to filter by.
subjectIds
The ids of the subjects to filter the response for.
limit
The maximum number of entries to return.
offset
The offset of the first item returned in the collection.
lastUpdated
Filter by last update time.
includeDeleted
True to include deleted objects in the result.
clusterId
Filter using the Universally Unique Identifier (UUID) of the cluster.
scopeId
The scope resource id that we want to filter by.
sortOrder
Sort results in descending or ascending order.
Allowed values:
sortBy
Sort results by a parameter.
filterBy
Filter results by a parameter. Use the format field-name operator value. Operators are == Equals, != Not equals, <= Less than or equal, >= Greater than or equal, =@ contains, !@ Does not contains, =^ Starts with and =$ Ends with. Dates are in ISO 8601 timestamp format and available for operators ==, !=, <= and >=.
search
Filter results by a free text search.
Response
Executed successfully.
totalRecords
displayRecords
accessRules
Errors
401
Unauthorized Error
403
Forbidden Error
500
Internal Server Error
503
Service Unavailable Error